<script>
import {defineComponent} from 'vue'
import Snippet from "./Snippet.vue";
import store from "/src/store/store.js";

export default defineComponent({
    name: "Snippets",
    components: {Snippet},
    data() {
        return {
            selectedSnippet: '',
        };
    },
    computed: {
        actions() {
            return store.getters.getActions.filter(function (action) {
                return action.enabled === true;
            });
        },
    },
    methods: {
        setAction(item) {
            if (this.selectedSnippet !== undefined) {
                store.dispatch('setAction', item.type)
            } else {
                store.dispatch('clearAction')
            }
        }
    }
})
</script>

<template>
    <v-btn-toggle
        v-model="selectedSnippet"
        color="white"
        class="text-grey-darken-1 mb-2 flex-wrap d-flex"
        variant="text"
    >
        <v-row
            no-gutters
        >
            <v-col
                v-for="action in actions"
                :key="action.id"
                cols="3"
                class="pa-1"
            >
                <snippet
                    :text="action.name"
                    :icon="action.icon"
                    bg_class="bg-grey-darken-4"
                    @click="setAction(action)"
                />
            </v-col>
        </v-row>
    </v-btn-toggle>
</template>

<style>
</style>